KUE(4)

NAME
kue - Kawasaki LSI KL5KUSB101B USB Ethernet device

SYNOPSIS
kue* at uhub?

DESCRIPTION
The kue driver provides support for USB Ethernet adapters based on the Kawasaki LSI KL5KLUSB101B chipset. This includes the following adapters:

3Com 3c19250
3Com 3c460 HomeConnect
AboCom Systems URE450 Ethernet
ADS Technologies USB-10BT
Aox USB101
Asante USB to Ethernet
ATen DSB-650C
ATen UC10T
Corega USB-T
D-Link DSB-650C
Entrega NET-USB-E45
I/O Data USB-ET/T
Jaton USB XpressNet
Kawasaki USB101
Kingston Ethernet
Linksys USB10T
Mobility Ethernet
Netgear EA101
Peracom USB
Portgear Ethernet
Portsmith Express Ethernet
Psion Dacom Gold Port Ethernet
Shark Pocket Adapter
Silicom U2E
SMC 2102USB
SMC 2104USB

The KL5KLUSB101B supports a 128-entry multicast filter, single perfect filter entry for the station address and promiscuous mode. Packets are received and transmitted over separate USB bulk transfer endpoints.

The Kawasaki adapter supports only 10Mbps half-duplex mode, hence there are no ifmedia(4) modes to select.

For more information on configuring this device, see ifconfig(8).

FILES
The driver needs a firmware file, which is loaded on demand when the device is attached:

/etc/firmware/kue

DIAGNOSTICS

kue%d: watchdog timeout A packet was queued for transmission and a transmit command was issued, however the device failed to acknowledge the transmission before a timeout expired.

kue%d: no memory for rx list The driver failed to allocate an mbuf for the receiver ring.

SEE ALSO
arp(4), intro(4), netintro(4), usb(4), hostname.if(5), ifconfig(8)

HISTORY
The kue device driver first appeared in FreeBSD 4.0. OpenBSD support was added in OpenBSD 2.7.

AUTHORS
-nosplit The kue driver was written by Bill Paul <wpaul@ee.columbia.edu> and ported to OpenBSD by Aaron Campbell <aaron@openbsd.org>.

BUGS
The kue driver does not accumulate Ethernet collisions statistics because the Kawasaki firmware does not appear to maintain any internal statistics.